SeExpr

Public Member Functions | Public Attributes | List of all members
ExprSpecStringNode Struct Reference

`#include <ExprSpecType.h>`

Inheritance diagram for ExprSpecStringNode:

## Public Member Functions
| ExprSpecStringNode (int startPos, int endPos, const char *s)
Public Member Functions inherited from ExprSpecNode
| ExprSpecNode (int startPos, int endPos)
virtual | ~ExprSpecNode ()

## Public Attributes
std::string | v
Public Attributes inherited from ExprSpecNode
int | startPos
int | endPos

## Detailed Description

Definition at line 62 of file ExprSpecType.h.

## Constructor & Destructor Documentation

## ◆ ExprSpecStringNode()

ExprSpecStringNode::ExprSpecStringNode | ( | int | startPos,
|  | int | endPos,
|  | const char * | s
| ) |  |
| inline

Definition at line 64 of file ExprSpecType.h.

## Member Data Documentation

## ◆ v

std::string ExprSpecStringNode::v

Definition at line 63 of file ExprSpecType.h.

The documentation for this struct was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprSpecType.h